package com.devsoap.tincheck.routes.requests;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.micronaut.core.annotation.Introspected;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Introspected
public record TinValidateRequest(
    @JsonProperty("country") @NotNull String country,
    @JsonProperty("value") @NotBlank String value
){}